;/***!Start!***
; *
; *   ORIGINS: 27
; *
; *   25H7912  (C)   COPYRIGHT International Business Machines Corp. 1992,1996
; *   All Rights Reserved
; *   Licensed Materials - Property of IBM
; *   The source code for this program is not published or otherwise divested
; *   of its trade secrets, irrespective of what has been deposited with the
; *   U.S. Copyright Office.
; *
; ***!End!***/
; @(#) 1.69 src/somu/somenv.ini, somu.config.ini, som3.0 12/17/96 09:58:51 [12/22/96 21:30:31]
;
; This file contains SOMObjects environment settings.
; Some settings can be overridden by environment variables;
; see the documentation for the particular SOMobjects framework
; for more information.
;
;
[somras]
; RAS configuration stanza.  This controls the Error Log Facility.
;
;
	SOMErrorLogFile=SOMERROR.LOG
;       The name of the file where error log entries will be stored.  If
;       unset, the default is SOMErrorLogFile=SOMERROR.LOG. The error log
;       file is always placed in the directory pointed to by the SOMDDIR
;       configuration variable of the [somd] stanza.  We recommend that
;       all processes on a system share one error log file.
;
	SOMErrorLogSize=128
;       The size, in kilobytes, of the error log file.  If unset, the
;       default is SOMErrorLogSize=128.  The default allows space for
;       several hundred average sized log entries.
;
	SOMErrorLogControl=WARNING ERROR MAPPED_EXCEPTION
;       A filter to control what types of log entries will be included
;       in the error log file.  Multiple values may be specified,
;       delimited by spaces.  Valid values include INFO, WARNING,
;       ERROR, and MAPPED_EXCEPTION.  If unset, the default is
;       SOMErrorLogControl=WARNING ERROR MAPPED_EXCEPTION.
;
	SOMErrorLogDisplayMsgs=YES
;       In addition to making a log entry also display each formatted
;       error log message, without the extended log data, to the standard
;       output device.  Valid values are NO or YES. If unset, the
;       default is SOMErrorLogDisplayMsgs=YES.
;
[somsec]
;
;    SECURITY_SERVER_ALIAS is the name used by som_cfg to register the
;    security server implementation.  If unset, the default is securityServer.
;	SECURITY_SERVER_ALIAS=
;
;    LOGIN_INFO_SOURCE is a list of sources for obtaining login
;    information of a user for authentication. The possibilities are
;    LOGIN_INFO_SOURCE=DEFAULT ENV UPM PROMPT
;    The options may be specified in any order and any combination.
;    The first option to yield the required login information is used
;    and subsequent ones ignored. Unrecognized options are ignored.
;    DEFAULT is equivalent to UPM on OS2 and ENV on AIX and other platforms.
;    LOGIN_INFO_SOURCE=
;    turns off authentication. Beware that a secure server may reject
;    requests from unauthenticated clients.
;
     LOGIN_INFO_SOURCE=DEFAULT
;
;    LOGIN_TIMEOUT specifies the duration (in seconds) after which
;    a quest for login information will timeout.
     LOGIN_TIMEOUT=30
;
;
[somnm]
; Name Service environment configuration stanza.
;       Uses SOMDDIR setting specified in the "somd" stanza to store Naming related 
;	files. If unset, the default is %SOMBASE%\etc\dsom.
;
;       NAMING_SERVER_ALIAS is the name used by som_cfg to register the
;       naming server implementation.  If unset, the default is namingServer.
;	NAMING_SERVER_ALIAS=
;
;       GLOBAL_OBJREF_FILE is the name of the file used by som_cfg to hold
;       the global object reference.  In the case of an install host, the
;       object reference will be written to this file.  In the case of a
;       DSOM host, the object reference will be read from this file.
;       If unset, the default is to place the file SOMNM.REF in the
;       directory pointed to by the SOMDDIR configuration variable of the
;       [somd] stanza.  Note that this value must be set for the DSOM host 
;       to a directory other than the default.
;	GLOBAL_OBJREF_FILE=
;
[somir]
; Interface Repository settings
;       SOMIR
;       The location of the Interface Repository.
;
;
;[somu]
; SOM utilities and metaclass framework
;       SOMM_TRACED
;
;
[somd]
; DSOM environment configuration stanza.
;
;       SOMDDIR
;       The location of the Implementation Repository and other DSOM-related
;       files.  If unset, the default is %SOMBASE%\etc\dsom.
;
        HOSTNAME=thehostname
;       Used to set the Principal object that represents the client.
;       Also used by the DSOM Factory Service.
;       The HOSTNAME environment variable overrides this setting.
;       See also the HOSTNAME settings in the SOMD_IPC, SOMD_TCPIP, and
;       SOMD_NetBIOS stanzas below.
;
        SOMDPROTOCOLS=SOMD_IPC
;       The communications protocols configured on this machine,
;       delimited by spaces. Valid values include SOMD_IPC, SOMD_TCPIP, 
;       and SOMD_NetBIOS.  For example:   
;       SOMDPROTOCOLS=SOMD_IPC SOMD_TCPIP SOMD_NetBIOS
;       Default is SOMD_IPC only.   
;       When SOMD_IPC is used, it should appear first.
;       Each protocol named in SOMDPROTOCOLS must have a subsequent stanza
;       specifying settings for that protocol (e.g., HOSTNAME and SOMDPORT).
;
        CHECK_CONNECTION_INTERVAL=5
;       How often, in minutes, DSOM should check for broken IPC connection.
;
	SOMDRECVWAIT=30
;	The number of seconds to wait for a socket to become readable before
;	generating a communications timeout error.
;
	SOMDSENDWAIT=30
;	The number of seconds to wait for a socket to become writable before
;	generating a communications timeout error.
;
;       SOMDNUMTHREADS
;       The maximum number of threads a multithreaded server will use.
;       (Default is "unlimited".)
;
;       SOMDTHREADSTACKSIZE
;       The stack size used when creating new threads in a server, in bytes.
;       Default is 65536.
;
;
;
[SOMD_IPC]
; Stanza for the DSOM IPC protocol for workstation communication (UNO IIOP).
;
	HOSTNAME=thehostname
;       This should be set to the name by which this machine is known.
;
	SOMDPORT=3002
;       The port on which the DSOM daemon will listen for requests.
;
	CSFactoryClass=SOMDCallStrmIIOP::CallStreamFactoryIIOP
; 	The CallStreamFactory class name for this protocol.
;       This setting should not be changed or removed.
;
        CSRegistrarClass=SOMDCSRegRI::CallStreamRegistrarRI
;       The CallStreamRegistrar class name for this protocol.
;       This setting should not be changed or removed.
;
        CSTransportClass=SOMDtipc::IPCTransportFactory
;       The Listening transport class name for this protocol.
;       This setting should not be changed or removed.
;
        CSLocationName=SOMD_IPC
;       This is the name of the protocol the server uses to communicate
;       with the location service (SOMDD).  This setting should not be
;       changed or removed.  
;
        CSProfileTag=1229081857;
;       CallStreamFactory tag for this protocol; its decimal "IBM1".
;       This is a protocol-unique tag used to represent the protocol
;       within object references.
;
	CALL_POOL_SIZE=16
;	The average number of requests that a client expects to send
;	simultaneously over this protocol, or if its a server, then 
;	its the average number of simultaneous objects the server 
;	expects to export (or return) over this protocol.
;
	ENCAP_POOL_SIZE=4
;	The average number of requests that a client expects to send
;	simultaneously over this protocol, or if a server, 
;	the average number of simultaneous objects the server 
;	expects to export (or return) over this protocol.
;
;
;
[SOMD_TCPIP]
; Stanza for the DSOM TPC/IP protocol (UNO IIOP).
;
	HOSTNAME=thehostname
;       This should be set to the name by which this machine is known.
;
	SOMDPORT=3003
;       The port on which the DSOM daemon will listen for requests.
;
	CSFactoryClass=SOMDCallStrmIIOP::CallStreamFactoryIIOP
; 	The CallStreamFactory class name for this protocol.
;       This setting should not be changed or removed.
;
        CSRegistrarClass=SOMDCSRegRI::CallStreamRegistrarRI
;       The CallStreamRegistrar class name for this protocol.
;       This setting should not be changed or removed.
;
        CSTransportClass=SOMDtip::TCPIPTransportFactory
;       The Listening transport class name for this protocol.
;       This setting should not be changed or removed.
;
        CSLocationName=SOMD_TCPIP
;       This is the name of the protocol the server uses to communicate
;       with the location service (SOMDD).  This setting should not be
;       changed or removed.  
;
        CSProfileTag=0;
;       CallStreamFactory tag for this protocol.
;       This is a protocol-unique tag used to represent the protocol
;       within object references.
;
	CALL_POOL_SIZE=16
;       Average number of outstanding remote calls a DSOM process expects
;       to have simultaneously over this protocol.
;
	ENCAP_POOL_SIZE=4
;	The average number of requests that a client expects to send
;	simultaneously over this protocol, or if a server, 
;	the average number of simultaneous objects the server 
;	expects to export (or return) over this protocol.
;
;
[SOMD_NetBIOS]
; Stanza for the DSOM NetBIOS protocol (UNO IIOP).
;
	HOSTNAME=thehostname
;       This should be set to the name by which this machine is known.
;
	SOMDPORT=3005
;       The port on which the DSOM daemon will listen for requests.
;
	CSFactoryClass=SOMDCallStrmIIOP::CallStreamFactoryIIOP
; 	The CallStreamFactory class name for this protocol.
;       This setting should not be changed or removed.
;
        CSRegistrarClass=SOMDCSRegRI::CallStreamRegistrarRI
;       The CallStreamRegistrar class name for this protocol.
;       This setting should not be changed or removed.
;
        CSTransportClass=SOMDtip::NBIPTransportFactory
;       The Listening transport class name for this protocol.
;       This setting should not be changed or removed.
;
        CSLocationName=SOMD_NetBIOS
;       This is the name of the protocol the server uses to communicate
;       with the location service (SOMDD).  This setting should not be
;       changed or removed.  
;
        CSProfileTag=1229081859;
;       CallStreamFactory tag for this protocol; its decimal "IBM3"
;       This is a protocol-unique tag used to represent the protocol
;       within object references.
;
	CALL_POOL_SIZE=16
;       Average number of outstanding remote calls a DSOM process expects
;       to have simultaneously over this protocol.
;
	ENCAP_POOL_SIZE=4
;	The average number of requests that a client expects to send
;	simultaneously over this protocol, or if a server, 
;	the average number of simultaneous objects the server 
;	expects to export (or return) over this protocol.
;
[SOMD_JCLIENT]
        SERVICES_FILE_TARGET=
;       The web server directory location of the "well-known objects" file.
;       This file can be placed anywhere in the HTML directory tree of the
;       Java applet web server, as long as it it not protected by
;       any security access mechanisms.  A recommended location for this
;       file is in the top-level HTML directory, for example 
;       SERVICES_FILE_TARGET=d:\WWW\HTML     (/WWW/HTML on AIX)
;       where "d:" is the drive letter.
;       The services file will be named "services" and created in this
;       directory during som_cfg execution.  If you do not intend to use 
;       Java clients from this SOM server machine, you may comment this 
;       line out.
